version: '2'
services:
    translator-app:
        image: translator
        external_links:
            - translator-mongodb:mongodb
        environment:
            - SPRING_PROFILES_ACTIVE=prod,swagger
            - SPRING_DATA_MONGODB_URI=mongodb://mongodb:27017
            - SPRING_DATA_MONGODB_DATABASE=translator
            - JHIPSTER_SLEEP=10 # gives time for the database to boot before the application
        ports:
            - 8080:8080
    translator-mongodb:
        extends:
            file: mongodb.yml
            service: translator-mongodb
